Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.rwt
Interface AdapterFactory

public interface AdapterFactory

An AdapterFactory creates the requested adapters associated with a given object, if available. Adapters are used to add dynamically interfaces to a class (behavioral extension).

AdapterFactories are registered with an global adapter manager.

Since:
  1.0
See Also:
  `Adaptable`

Method Summary
`java.lang.Object` `getAdapter(java.lang.Object adaptable, java.lang.Class adapter)` returns an implementation of the given class associated with the given object.
`java.lang.Class[]` `getAdapterList()` returns an array of adapter types handled by this factory.

Method Detail

### getAdapter

    public java.lang.Object getAdapter(java.lang.Object adaptable,
                                       java.lang.Class adapter)

  returns an implementation of the given class associated with the given object. Returns `null` if no such implementation can be found.

  Parameters:
    `adaptable` - the `Adaptable` instance used as lookup key
    `adapter` - the type of adapter to look up
  Returns:
    a object castable to the given adapter type or `null` if there is no adapter of the given type availabe

### getAdapterList

    public java.lang.Class[] getAdapterList()

  returns an array of adapter types handled by this factory.

  This method is generally used to discover which adapter types are supported, in advance of actually calling `getAdapter`.

  Returns:
    a list of supported adapter types

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.